from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCellRangeData(XInterface, Protocol):
    def getDataArray(self) -> list[list[Any]]: ...
    def setDataArray(self, aArray: sequence< sequence< any > >) -> None: ...
